.bug {
    background-color: #ffffff00;
    position: relative;
}

.bug::after, .bug::before {
    content: "";
    position: absolute;
    height: 75%;
    width: 75%;
    --progress: 57;
    background-image: conic-gradient(white calc(var(--progress) * 1%), rgba(255, 255, 255, 0) 0);
    mask: radial-gradient(circle, transparent 60%, black 61%);
    -webkit-mask: radial-gradient(circle, transparent 60%, black 61%);
    top: 40%;
    left: 46%;
    transform: translate(-50%, -50%);
    border-radius: 50%;
    z-index: -1;
}

#optidiv {
    border: 1px solid rgba(255, 255, 255, 0);
    border-radius: 10px;
    display: flex;
    align-items: center;
    text-align: center;
    justify-content: center;
}

.version-bar {
    

    position: fixed;
    left: 50%;
    bottom: 30px;
    transform: translateX(-50%);

    display: flex;
    align-items: center;
    gap: 16px;

    width: min(600px, 90vw);

    color: white;
    font-family: sans-serif;
    font-size: 14px;
}

.progress-line {
    --progress: 80;
    --thickness: 4px;
    flex: 1;
    height: var(--thickness);
    border-radius: 999px;

    background: linear-gradient(
        to right,
        white calc(var(--progress) * 1%),
        rgba(255,255,255,.2) calc(var(--progress) * 1%)
    );
}